Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am trying to install Ogre software with CMake but it says I'm missing things. I found one and installed it (freetype) but I can't find (Xaw: X11 Athena widget set) or (X Toolkit). Is there an easier way to install this? This is all that I'm missing now.

CMake Error at CMakeLists.txt:570 (message): X11 support requires Xcursor library.

After this I am unable to find it to run it. what happened to it?

Linking CXX executable ../../bin/OgreMeshUpgrader [100%] Built target OgreMeshUpgrader

share|improve this question
    
I'm also looking for Xcursor library –  jacob pfeiff Dec 3 '13 at 3:41
    
You should show us what are these "missing things", please copy the output, edit your question and paste it in your question. –  Braiam Dec 3 '13 at 12:58

2 Answers 2

You don't mention what version of Ubuntu you're running nor what version of OGRE you are trying to install, however there is a libogre-dev package in the Precise repository, which should bring in libogre-1.7.4. There is also a ogre-tools package. You can see the various related packages for your system using apt-cache e.g.

apt-cache search --names-only ogre

If you really do need to install from source, then the xorg-dev metapackage should include libxt-dev and libxaw7-dev i.e. it should be sufficient to do

sudo apt-get install xorg-dev
share|improve this answer
    
Ubuntu 13.10 and Ogre 1.8.1 –  jacob pfeiff Dec 3 '13 at 2:56

X11 Athena widget set can be installed from:

sudo apt-get install xaw3dg
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.